Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Apr 2021 11:03:51 +0300

> Date: Fri, 30 Apr 2021 07:27:25 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked], [email-masked], 
>     [email-masked], [email-masked], [email-masked], 
>     [email-masked]
> 
> "Flashing a window means changing the appearance of its caption bar as if 
> the window were changing from inactive to active status, or vice versa. 
> [...] Typically, a window is flashed to inform the user that the window 
> requires attention but that it does not currently have the keyboard 
> focus." [1]
> 
> [1] https://docs.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-flashwindow
> 
> But even that doesn't describe the effect accurately, the feeling I have 
> is closer to "the frame briefly vibrates".  As I said, I use Windows only 
> rarely, so my feeling is perhaps not right.

What I see is exactly what the MS documentation describes: the frame's
title bar blinks (a.k.a. "flickers"), which is very hard to notice;
and the corresponding tab on the task bar flashes, which is much more
prominent.  IME, this happens in all Windows versions.